<?php
/**
 * Customizer defaults
 *
 * @package     Sarmaya
 * @author      Amjad Ali
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU Public License
 */

/**
 * Get the default option for Sarmaya's Customizer settings.
 *
 * @param  string|string $name Option key name to get.
 * @return mixin
 */
function sarmaya_defaults($name) {
    static $defaults;

    if (!$defaults) {
        $defaults = apply_filters(
            'sarmaya_defaults', array(

                // Identity.
                'site_title'                           => false,
                'logo_max_width'                       => 72,
                'logo_mobile_max_width'                => 72,
                'logo_border_radius'                   => true,

                // Header
                'is_header_fluid'                      => false,
                'is_fixed_top_navbar'                  => false,
                'is_navbar_search_form'                => false,
                'is_navbar_social_nav'                 => false,
                'is_navbar_shopping_cart'              => false,
                'is_navbar_my_account'                 => false,

                // Blog
                // * General Posts
                'is_blog_page_fluid'                   => false,
                'blog_page_layout'                     => '',
                'post_style'                           => 'stander-post-style',
                'blog_post_layout_col'                 => '',
                'is_blog_post_featured_image'          => true,
                'blog_posts_featured_image_size'       => '',

                'single_post_page_layout'              => 'full_width',
                'is_blog_single_post_featured_image'   => true,
                'blog_single_post_featured_image_size' => '',
                'is_blog_post_content'                 => true,
                'is_blog_post_excerpt'                 => true,
                'blog_post_excerpt_length'             => 20,
                'is_blog_post_author'                  => false,
                'is_blog_post_categories'              => true,
                'is_blog_post_edit_btn'                => false,
                'is_blog_post_comments_counter'        => false,
                'is_blog_post_date'                    => true,
                'is_blog_post_tags'                    => true,
                'is_blog_post_read_more_btn'           => false,

                // Colors.
                'heading_color'                        => '#191521',
                'alt_heading_color'                    => '#565d67',
                'text_color'                           => '#191521',
                'header_icon_color'                    => '#191521',
                'nav_color'                            => '#565d67',
                'mobile_nav_color'                     => '#191521',

                // Options.
                'header_search'                        => true,
                'night_mode'                           => true,
                'categories'                           => true,
                'tags'                                 => true,
                'author_meta'                          => true,

                // footer

                'is_footer_fluid'                      => false,
                'is_footer_widgets'                    => true,
                'is_footer'                            => true,

                // WooCommerce
                'is_woocommerce_catalog_page_fluid'    => false,
                'woocommerce_product_catalog_layout'   => 'full_width',
                'is_woocommerce_single_product_fluid'  => false,
                'woocommerce_single_product_layout'    => 'full_width',

            )
        );
    }

    return isset($defaults[$name]) ? $defaults[$name] : null;
}
