<?php
/**
 * Sarmaya configuration file.
 *
 * @package   Sarmaya
 * @version   1.0.4
 */

if ( ! class_exists( 'Merlin' ) ) {
	return;
}

/**
 * Set directory locations, text strings, and settings.
 */
$wizard = new Merlin(

	$config = array(
		'directory'            => 'inc/merlin', // Location / directory where Sarmaya is placed in your theme.
		'merlin_url'           => 'merlin', // The wp-admin page slug where Sarmaya loads.
		'parent_slug'          => 'themes.php', // The wp-admin parent page slug for the admin menu item.
		'capability'           => 'manage_options', // The capability required for this menu to be displayed to the user.
		'child_action_btn_url' => 'https://developer.wordpress.org/themes/advanced-topics/child-themes/', // URL for the 'child-action-link'.
		'dev_mode'             => false, // Enable development mode for testing.
		'license_step'         => false, // EDD license activation step.
		'license_required'     => false, // Require the license activation step.
		'license_help_url'     => '', // URL for the 'license-tooltip'.
		'edd_remote_api_url'   => '', // EDD_Theme_Updater_Admin remote_api_url.
		'edd_item_name'        => '', // EDD_Theme_Updater_Admin item_name.
		'edd_theme_slug'       => '', // EDD_Theme_Updater_Admin item_slug.
	),
	$strings = array(
		'admin-menu'               => esc_html__( 'Theme Setup', 'sarmaya' ),

		/* translators: 1: Title Tag 2: Theme Name 3: Closing Title Tag */
		'title%s%s%s%s'            => esc_html__( '%1$s%2$s Themes &lsaquo; Theme Setup: %3$s%4$s', 'sarmaya' ),
		'return-to-dashboard'      => esc_html__( 'Return to the dashboard', 'sarmaya' ),
		'ignore'                   => esc_html__( 'Disable this wizard', 'sarmaya' ),

		'btn-skip'                 => esc_html__( 'Skip', 'sarmaya' ),
		'btn-next'                 => esc_html__( 'Next', 'sarmaya' ),
		'btn-start'                => esc_html__( 'Start', 'sarmaya' ),
		'btn-no'                   => esc_html__( 'Cancel', 'sarmaya' ),
		'btn-plugins-install'      => esc_html__( 'Install', 'sarmaya' ),
		'btn-child-install'        => esc_html__( 'Install', 'sarmaya' ),
		'btn-content-install'      => esc_html__( 'Install', 'sarmaya' ),
		'btn-import'               => esc_html__( 'Import', 'sarmaya' ),
		'btn-license-activate'     => esc_html__( 'Activate', 'sarmaya' ),
		'btn-license-skip'         => esc_html__( 'Later', 'sarmaya' ),

		/* translators: Theme Name */
		'license-header%s'         => esc_html__( 'Activate %s', 'sarmaya' ),
		/* translators: Theme Name */
		'license-header-success%s' => esc_html__( '%s is Activated', 'sarmaya' ),
		/* translators: Theme Name */
		'license%s'                => esc_html__( 'Enter your license key to enable remote updates and theme support.', 'sarmaya' ),
		'license-label'            => esc_html__( 'License key', 'sarmaya' ),
		'license-success%s'        => esc_html__( 'The theme is already registered, so you can go to the next step!', 'sarmaya' ),
		'license-json-success%s'   => esc_html__( 'Your theme is activated! Remote updates and theme support are enabled.', 'sarmaya' ),
		'license-tooltip'          => esc_html__( 'Need help?', 'sarmaya' ),

		/* translators: Theme Name */
		'welcome-header%s'         => esc_html__( 'Welcome to %s', 'sarmaya' ),
		'welcome-header-success%s' => esc_html__( 'Hi. Welcome back', 'sarmaya' ),
		'welcome%s'                => esc_html__( 'This wizard will set up your theme, install plugins, and import content. It is optional & should take only a few minutes.', 'sarmaya' ),
		'welcome-success%s'        => esc_html__( 'You may have already run this theme setup wizard. If you would like to proceed anyway, click on the "Start" button below.', 'sarmaya' ),

		'child-header'             => esc_html__( 'Install Child Theme', 'sarmaya' ),
		'child-header-success'     => esc_html__( 'You\'re good to go!', 'sarmaya' ),
		'child'                    => esc_html__( 'Let\'s build & activate a child theme so you may easily make theme changes.', 'sarmaya' ),
		'child-success%s'          => esc_html__( 'Your child theme has already been installed and is now activated, if it wasn\'t already.', 'sarmaya' ),
		'child-action-link'        => esc_html__( 'Learn about child themes', 'sarmaya' ),
		'child-json-success%s'     => esc_html__( 'Awesome. Your child theme has already been installed and is now activated.', 'sarmaya' ),
		'child-json-already%s'     => esc_html__( 'Awesome. Your child theme has been created and is now activated.', 'sarmaya' ),

		'plugins-header'           => esc_html__( 'Install Plugins', 'sarmaya' ),
		'plugins-header-success'   => esc_html__( 'You\'re up to speed!', 'sarmaya' ),
		'plugins'                  => esc_html__( 'Let\'s install some essential WordPress plugins to get your site up to speed.', 'sarmaya' ),
		'plugins-success%s'        => esc_html__( 'The required WordPress plugins are all installed and up to date. Press "Next" to continue the setup wizard.', 'sarmaya' ),
		'plugins-action-link'      => esc_html__( 'Advanced', 'sarmaya' ),

		'import-header'            => esc_html__( 'Import Content', 'sarmaya' ),
		'import'                   => esc_html__( 'Let\'s import content to your website, to help you get familiar with the theme.', 'sarmaya' ),
		'import-action-link'       => esc_html__( 'Advanced', 'sarmaya' ),

		'ready-header'             => esc_html__( 'All done. Have fun!', 'sarmaya' ),

		/* translators: Theme Author */
		'ready%s'                  => esc_html__( 'Your theme has been all set up. Enjoy your new theme by %s.', 'sarmaya' ),
		'ready-action-link'        => esc_html__( 'Extras', 'sarmaya' ),
		'ready-big-button'         => esc_html__( 'View your website', 'sarmaya' ),
		'ready-link-1'             => sprintf( '<a href="%1$s" target="_blank">%2$s</a>', 'https://wordpress.org/support/', esc_html__( 'Explore WordPress', 'sarmaya' ) ),
		'ready-link-2'             => sprintf( '<a href="%1$s" target="_blank">%2$s</a>', 'https://www.energeticthemes.com/ticket-form/', esc_html__( 'Get Theme Support', 'sarmaya' ) ),
		'ready-link-3'             => sprintf( '<a href="%1$s">%2$s</a>', admin_url( 'customize.php' ), esc_html__( 'Start Customizing', 'sarmaya' ) ),
	)
);
