<?php
/**
 * Available filters for extending Sarmaya.
 *
 * @package   Sarmaya
 * @version   1.0.4
 */

/**
 * Demo import files (local files).
 *
 */
function sarmaya_merlin_local_import_files() {
    return array(
        array(
            'import_file_name'             => 'Demo Content',
            'local_import_file'            => trailingslashit(get_template_directory()) . 'inc/merlin/demo/demo-content.xml',
            'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'inc/merlin/demo/widgets.wie',
            'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'inc/merlin/demo/customizer.dat',
            'import_preview_image_url'     => 'https://www.example.com/merlin/preview_import_image1.jpg',
            'preview_url'                  => 'https://www.energeticthemes.com/themes/sarmaya/',
        ),
    );
}
add_filter('merlin_import_files', 'sarmaya_merlin_local_import_files');

/**
 * Execute custom code after the whole import has finished.
 */
function sarmaya_merlin_after_import_setup() {
    // Assign menus to their locations.
    $primary_menu = get_term_by('name', 'Primary Menu', 'nav_menu');
    $footer_menu  = get_term_by('name', 'Footer Menu', 'nav_menu');
    $social_menu  = get_term_by('name', 'Social Menu', 'nav_menu');

    set_theme_mod(
        'nav_menu_locations', array(
            'primary' => $primary_menu->term_id,
            'footer'  => $footer_menu->term_id,
            'social'  => $social_menu->term_id,
        )
    );

    update_option( 'elementor_disable_color_schemes', 'yes' );
    update_option( 'elementor_disable_typography_schemes', 'yes' );
    update_option( 'elementor_viewport_md', '960' );
    
}
add_action( 'merlin_after_all_import', 'sarmaya_merlin_after_import_setup' );
