<?php
/**
 * Storefront WooCommerce hooks
 *
 * @package     Sarmaya
 */

/**
 * Layout
 *
 * @see  sarmaya_before_content()
 * @see  sarmaya_after_content()
 */

remove_action('woocommerce_sidebar', 'woocommerce_get_sidebar', 10);

add_action('woocommerce_before_main_content', 'sarmaya_before_content', 10);
add_action('woocommerce_after_main_content', 'sarmaya_after_content', 10);

// Legacy WooCommerce columns filter.
if (defined('WC_VERSION') && version_compare(WC_VERSION, '3.3', '<')) {
    add_filter('loop_shop_columns', 'sarmaya_loop_columns');
    add_action('woocommerce_before_shop_loop', 'sarmaya_product_columns_wrapper', 40);
    add_action('woocommerce_after_shop_loop', 'sarmaya_product_columns_wrapper_close', 40);
}

/**
 * Products
 *
 */

add_action('woocommerce_before_shop_loop_item_title', 'sarmaya_woocommerce_template_loop_product_img_wrapper_open', 5);
add_action('woocommerce_before_shop_loop_item_title', 'sarmaya_woocommerce_template_loop_product_img_wrapper_close', 20);

add_action('woocommerce_shop_loop_item_title', 'sarmaya_woocommerce_template_loop_product_title_price_wrapper_open', 5);
add_action('woocommerce_after_shop_loop_item_title', 'sarmaya_woocommerce_template_loop_product_title_price_wrapper_close', 15);

remove_action('woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10);
add_action('woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_add_to_cart', 19);


/**
 * Cart fragment
 *
 * @see sarmaya_cart_link_fragment()
 */
if (defined('WC_VERSION') && version_compare(WC_VERSION, '2.3', '>=')) {
    add_filter('woocommerce_add_to_cart_fragments', 'sarmaya_cart_link_fragment');
} else {
    add_filter('add_to_cart_fragments', 'sarmaya_cart_link_fragment');
}

/**
 * Checkout
 *
 */

add_action( 'woocommerce_checkout_before_order_review', 'sarmaya_checkout_before_order_review', 5 );
add_action( 'woocommerce_checkout_order_review', 'sarmaya_checkout_order_review_title', 5 );
add_action( 'woocommerce_checkout_after_order_review', 'sarmaya_checkout_after_order_review', 10 );

