<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package     Sarmaya
 * @author      Amjad Ali
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU Public License
 */

get_header(); 


$page_layout = get_theme_mod('sarmaya_single_post_page_layout', sarmaya_defaults( 'single_post_page_layout' ) );
$page_sidebar_align = $page_layout == 'left_sidebar' ? ' order-lg-2' : '';

if($page_layout !== 'full_width') { ?>

<div class="container">
<div class="row large-gutters">
<div class="col-lg-8 <?php echo esc_attr($page_sidebar_align); ?>">
<?php } ?>

<div class="blog-post single-post">

<?php
// Start the loop.
while ( have_posts() ) :

	the_post();

	/*
	 * Include the Post-Format-specific template for the content.
	 * If you want to override this in a child theme, then include a file
	 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
	 */

	get_template_part( 'template-parts/post/content', get_post_format() );

	do_action( 'sarmaya_before_comments' );

	/*
	 * If comments are open or we have at least one comment, load up the comment template.
	 *
	 * @link https://codex.wordpress.org/Function_Reference/comments_open/
	 * @link https://codex.wordpress.org/Template_Tags/get_comments_number/
	 * @link https://developer.wordpress.org/reference/functions/comments_template/
	 */
	if ( comments_open() || get_comments_number() ) :
		comments_template();
	endif;

	do_action( 'sarmaya_after_comments' );

endwhile; ?>

</div>

<?php

if($page_layout !== 'full_width') { ?>

	</div>

	<?php

		if ( is_active_sidebar( 'sidebar-1' ) ) : ?>

		<div class="col-lg-4 mt-6 mb-7">

			<aside class="widget-area" role="complementary" aria-label="<?php esc_attr_e( 'Sidebar', 'sarmaya' ); ?>">

				<?php

				if ( is_active_sidebar( 'sidebar-1' ) ) {
					dynamic_sidebar( 'sidebar-1' ); 
				}
			
				?>

			</aside>
			<!-- .widget-area -->
			
		</div>
			
	<?php endif; ?>

	</div>

</div>
	
<?php } ?>

<?php	
get_footer();
