<?php
/**
 * Template part for displaying page content in page.php
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package     Sarmaya
 * @author      Amjad Ali
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU Public License
 */

?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="page-wrapper">

		<header class="entry-header entry-content">
			<?php do_action( 'sarmaya_before_entry_title' ); ?>
			<?php the_title( '<h1 class="entry-title h2 alignwide mt-0">', '</h1>' ); ?>
			<?php do_action( 'sarmaya_after_entry_title' ); ?>
		</header>

		<?php do_action( 'sarmaya_before_content' ); ?>

		<div class="entry-content clearfix">
			<?php
				the_content();

				wp_link_pages(
					array(
						'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'sarmaya' ),
						'after'  => '</div>',
					)
				);
			?>
		</div>

		<?php do_action( 'sarmaya_after_content' ); ?>

	</div>

</article>
