<?php
/**
 * Template part for displaying the singular post.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package     Sarmaya
 * @author      Amjad Ali
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU Public License
 */

?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>


	<?php 
	
	if ( !is_single() ) {
	
		sarmaya_post_thumbnail(); 
	
	}

	?>
	
	<div class="entry-content-wrapper">

		<div class="entry-content">

			<header class="entry-header alignwide">

				<?php

				if ( is_single() ) {

					if ( '' !== get_the_post_thumbnail() ) { ?>

						<div class="row align-items-center large-gutters">

							<div class="col-md-6">
								<?php sarmaya_post_thumbnail(); ?>
							</div>

							<div class="col-md-6">
								<?php
									sarmaya_single_entry_meta_top();
									do_action( 'sarmaya_before_entry_title' );
									the_title( '<h1 class="entry-title">', '</h1>' );
									do_action( 'sarmaya_after_entry_title' );
								?>
							</div>

						</div>

					<?php } else { ?>

						<div class="entry-content clearfix">
							<div>
								<?php
									sarmaya_single_entry_meta_top();
									do_action( 'sarmaya_before_entry_title' );
									the_title( '<h1 class="entry-title">', '</h1>' );
									do_action( 'sarmaya_after_entry_title' );
								?>
							</div>
						</div>

					<?php }

				} else {

					sarmaya_single_entry_meta_top();

					do_action( 'sarmaya_before_entry_title' );
					the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
					do_action( 'sarmaya_after_entry_title' );

				}

				?>


			</header>

		</div>

		<div class="entry-content clearfix">
			<?php 
			
			do_action( 'sarmaya_before_content' );

			sarmaya_entry_content();

			wp_link_pages(
				array(
					'before'      => '<div class="page-links">' . __( 'Pages:', 'sarmaya' ),
					'after'       => '</div>',
					'link_before' => '<span class="page-number">',
					'link_after'  => '</span>',
				)
			);

			?>

		</div>
		
		<?php do_action( 'sarmaya_after_content' ); ?>

		<footer class="entry-footer">
			<?php sarmaya_single_entry_footer();
			
			if ( is_single() ) :

				sarmaya_single_entry_author_details();

				if (get_theme_mod('sarmaya_single_post_navigation', true)) {

					?>
					<div class="navigation post-navigation">
						<div class="row align-items-center text-center nav-links">
							<div class="col-lg-6 mb-4 mb-lg-0 text-lg-left">
								<div class="nav-previous">
								
									<?php 
									previous_post_link(
										'<div class="nav-subtitle">'. esc_html__('Previous Post', 'sarmaya') .' </div> <div class="nav-title"> %link </div>',
										'<i class="fas fa-long-arrow-alt-left fa-lg mr-1"></i> %title'
									); 
									?>

								</div>
					  		</div>
							<div class="col-lg-6 text-lg-right">
								<div class="nav-next">
									
									<?php 
									next_post_link(
										'<div class="nav-subtitle">'. esc_html__('Next Post', 'sarmaya') .'</div> <div class="nav-title"> %link </div>',
										'%title <i class="fas fa-long-arrow-alt-right fa-lg ml-1"></i>'
									); 
									?>

								</div>
					  		</div>
						</div>
				  	</div>
					<?php
				}
			endif;
			?>
		</footer>
		
	</div>

</article><!-- #post-## -->
